Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.basic
Class AbstractSingleValueConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter

All Implemented Interfaces:
  ConverterMatcher, SingleValueConverter

Direct Known Subclasses:
  AbstractAttributedCharacterIteratorAttributeConverter, BigDecimalConverter, BigIntegerConverter, BooleanConverter, ByteConverter, CharsetConverter, CurrencyConverter, DateConverter, DoubleConverter, DurationConverter, EnumSingleValueConverter, FileConverter, FloatConverter, IntConverter, ISO8601GregorianCalendarConverter, JavaClassConverter, LocaleConverter, LongConverter, ShortConverter, SqlDateConverter, SqlTimeConverter, SqlTimestampConverter, StackTraceElementConverter, StringBufferConverter, StringBuilderConverter, StringConverter, ToStringConverter, URLConverter, UUIDConverter

    public abstract class AbstractSingleValueConverter

extends Object
implements SingleValueConverter

Base abstract implementation of `SingleValueConverter`.

Subclasses should implement methods canConvert(Class) and fromString(String) for the conversion.

Author:
  Joe Walnes, Jörg Schaible, Mauro Talevi
See Also:
  `SingleValueConverter`

Constructor Summary
`AbstractSingleValueConverter()`

Method Summary
`abstract boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.
`abstract Object` | `fromString(String str)` Unmarshals an Object from its single value representation.
`String` | `toString(Object obj)` Marshals an Object into a single value representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSingleValueConverter

    public AbstractSingleValueConverter()

Method Detail

### canConvert

    public abstract boolean canConvert(Class type)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Specified by:
    `canConvert` in interface `ConverterMatcher`
  Parameters:
    `type` - the Class representing the object type to be converted

### toString

    public String toString(Object obj)

  Description copied from interface: `SingleValueConverter`
  Marshals an Object into a single value representation.

  Specified by:
    `toString` in interface `SingleValueConverter`
  Parameters:
    `obj` - the Object to be converted
  Returns:
    a String with the single value of the Object or `null`

### fromString

    public abstract Object fromString(String str)

  Description copied from interface: `SingleValueConverter`
  Unmarshals an Object from its single value representation.

  Specified by:
    `fromString` in interface `SingleValueConverter`
  Parameters:
    `str` - the String with the single value of the Object
  Returns:
    the Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.